NeuralEngine A Game Engine with embeded Machine Learning algorithms based on Gaussian Processes. |

Public Member Functions | Private Attributes | List of all members
NeuralEngine::EFStream Class Reference
Inheritance diagram for NeuralEngine::EFStream:
[legend]
Collaboration diagram for NeuralEngine::EFStream:
[legend]

## Public Member Functions
| EFStream ()
| Default constructor. More...
bool | ByteSwap (void)
| Gets byte swap state. More...
void | SetByteSwap (bool state)
| Sets byte swap state. More...
void | SwapEndian (char *s, std::streamsize N)
| Method to swap the Endianness of a stream. More...
std::istream & | Read (char *s, std::streamsize n)
| Overloaded fstream read method with byte swapping capacity. More...

## Private Attributes
bool | byte_swap_

## Detailed Description

Definition at line 19 of file NeEFStream.h.

## Constructor & Destructor Documentation

## ◆ EFStream()

NeuralEngine::EFStream::EFStream | ( |  | ) |

Default constructor.

Hmetal T, 02/08/2019.

## Member Function Documentation

## ◆ ByteSwap()

bool NeuralEngine::EFStream::ByteSwap | ( | void |  | ) |

Gets byte swap state.

Hmetal T, 02/08/2019.

Returns
  true if it succeeds, false if it fails.

## ◆ SetByteSwap()

void NeuralEngine::EFStream::SetByteSwap | ( | bool | state | ) |

Sets byte swap state.

Hmetal T, 02/08/2019.

Parameters

  state | true to state.

## ◆ SwapEndian()

void NeuralEngine::EFStream::SwapEndian | ( | char * | s,
|  | std::streamsize | N
| ) |  |

Method to swap the Endianness of a stream.

Hmetal T, 02/08/2019.

Parameters

  s | [in,out] If non-null, the char to process.
  N | The std::streamsize to process.

## ◆ Read()

std::istream & NeuralEngine::EFStream::Read | ( | char * | s,
|  | std::streamsize | n
| ) |  |

Overloaded fstream read method with byte swapping capacity.

Hmetal T, 02/08/2019.

Parameters

  s | [in,out] If non-null, the char to process.
  n | The std::streamsize to process.

Returns
  A reference to a std::istream.

## Member Data Documentation

## ◆ byte_swap_

bool NeuralEngine::EFStream::byte_swap_
| private

Definition at line 71 of file NeEFStream.h.

The documentation for this class was generated from the following file:

- NeEFStream.h